## org.eclipse.ocl.expressions.operations
Class OCLExpressionOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.OCLExpressionOperations

Direct Known Subclasses:
  BooleanLiteralExpOperations, CollectionLiteralExpOperations, EnumLiteralExpOperations, IfExpOperations, IntegerLiteralExpOperations, LetExpOperations, LoopExpOperations, MessageExpOperations, OperationCallExpOperations, PropertyCallExpOperations, RealLiteralExpOperations, StringLiteralExpOperations, TupleLiteralExpOperations, UnlimitedNaturalLiteralExpOperations, VariableExpOperations

    public class OCLExpressionOperations

extends Object

A static utility class that provides operations related to 'OCL Expression' model objects.

Since:
  1.3

  The following operations are supported:

  - `Get Name`
  - `Get Type`
  - `Set Name`
  - `Set Type`
  - `Accept`

Constructor Summary
`protected` `OCLExpressionOperations()`

Method Summary

`static

`<C,T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(OCLExpression<C> oclExpression, U v)`

`static

`<C> String`

`

`getName(OCLExpression<C> oclExpression)`

`static

`<C> C`

`

`getType(OCLExpression<C> oclExpression)`

`static

`<C> void`

`

`setName(OCLExpression<C> oclExpression, String name)`

`static

`<C> void`

`

`setType(OCLExpression<C> oclExpression, C type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCLExpressionOperations

    protected OCLExpressionOperations()

Method Detail

### getName

    public static <C> String getName(OCLExpression<C> oclExpression)

### getType

    public static <C> C getType(OCLExpression<C> oclExpression)

### setName

    public static <C> void setName(OCLExpression<C> oclExpression,
                                   String name)

### setType

    public static <C> void setType(OCLExpression<C> oclExpression,
                                   C type)

### accept

    public static <C,T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(OCLExpression<C> oclExpression,
                                                                        U v)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.